
//------------------------------------------menu hamburger


nav {
  position: absolute;
  top: -15px;
  right: 80px;

  @media(min-width: 640px){
    display: none;
  }

  #menu {
    position: absolute;
    width: 400px;
    height: 100vh;
    margin: -100px 0 0 -400px;
    padding: 50px;
    padding-top: 125px;
    background: #c5eff7;
    opacity: 0.85;
    list-style-type: none;
    -webkit-font-smoothing: antialiased;
    transform-origin: 0% 0%;
    transform: translate(-100%, 0);
    transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0);
    
    li {
      padding: 10px 0;
      padding-left: 30%;
      font-size: 2em;
      text-align: left;
    }
  }
}

#menuToggle {
  display: block;
  position: relative;
  top: 50px;
  left: 50px;
  z-index: 1;
  -webkit-user-select: none;
  user-select: none;

  ul {
    padding-top: 200px;

    li {
      margin-bottom: 15px;
    }
  }

  a {
    text-decoration: none;
    color: rgb(82, 82, 82);
    transition: color 0.3s ease;
  }
  a:hover {
    color: #43c0c9;
  }

  input {
    display: block;
    width: 40px;
    height: 32px;
    position: absolute;
    top: -7px;
    left: -5px;
    cursor: pointer;
    opacity: 0; /* hide this */
    z-index: 2; /* and place it over the hamburger */
    -webkit-touch-callout: none;
  }
  
  //hamburger
  span {
    display: block;
    width: 33px;
    height: 4px;
    margin-bottom: 5px;
    position: relative;
    background:  rgba(255, 255, 255, 0.5);
    border-radius: 3px;
    z-index: 1;
    transform-origin: 4px 0px;
    transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
                background 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
                opacity 0.55s ease;
  }

  //cross to hamburger
  span:first-child {
    transform-origin: 0% 0%;
  }
  span:nth-last-child(2) {
    transform-origin: 0% 100%;
  }
  input:checked ~ span{
    opacity: 1;
    transform: rotate(45deg) translate(-2px, -1px);
    background: rgb(82, 82, 82);
  }
  input:checked ~ span:nth-last-child(3) {
    opacity: 0;
    transform: rotate(0deg) scale(0.2, 0.2);
  }
    input:checked ~ span:nth-last-child(2) {
      transform: rotate(-45deg) translate(0, -1px);
  }

  input:checked ~ ul {
    transform: none;
  }
}

#chemin-mobile {
  font-size: 0.7em !important;
  font-weight: 200;
  text-align: left;
  color: rgba(0,0,0,0.6);
  margin-left: -120px !important;

  li {
    margin-bottom: -15px !important;
  }
}